require 'sire/entity'
require 'sire/relation'
require 'sire/aggregate'

module Sire
  class << self
    def entity(*attributes)
      Entity.define(*attributes)
    end

    def relation(*entity_types)
      Relation.define(*entity_types)
    end

    def aggregate(*entity_types)
      Aggregate.define(*entity_types)
    end
  end
end
